features:
  secondary:
    - name: "Full Code Quality Report"
      available_in: [starter, premium, ultimate]
      documentation_link: 'https://docs.gitlab.com/ee/user/project/merge_requests/code_quality.html#code-quality-reports'
      image_url: '/images/12_9/full-code-quality-report.png'
      reporter: jheimbuck_gl
      stage: verify
      categories:
        - "Code Quality"
      issue_url: 'https://gitlab.com/gitlab-org/gitlab/issues/4189'
      description: |
        Users are already making great use of the [code quality](https://docs.gitlab.com/ee/user/project/merge_requests/code_quality.html) feature in Merge Requests to prevent code quality from slipping after making a single change, but this may not give enough insight into other issues within the project. Contributors now gain visibility into other code quality issues in order to resolve them in the current Merge Request or in a future change.

        To better enable users to write high quality code, the full Code Quality report output is now available in the CI/CD pipelines and as a downloadable artifact. This change allows developers even more visibility into any code quality issues in their project within the GitLab UI.
